[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragDockObjectEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A drag object for docking, that is automatically destroyed after use.

## Declaration

Source position: controls.pp line 458

`type TDragDockObjectEx = class(TDragDockObject)`
`public`
`constructor Create(); override;` |  | Creates an object to be destroyed after use.
`end;`

## Inheritance

`TDragDockObjectEx` |  | A drag object for docking, that is automatically destroyed after use.
`TDragDockObject` |  |
`TDragObject` |  | Base class for managing drag operations and feedback.
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.